Migration Tool

7.4 Migration Tool getting Unsupported major.minor version error

The hardware/software requirements for 7.4.1 indicate using either Java 7 or 8; however when I try to upgrade to 7.4.1 and run the migration tool using Java 7, I get the below error, which indicates that I need Java 8. Is that correct? That I should really be using Java 8 for 7.4.1?

Exception in thread "main" java.lang.UnsupportedClassVersionError: org/bonitasoft/migration/core/Migration : Unsupported major.minor version 52.0
**

bonita-migration-distrib-2.9.0 problems

2016-02-24 12:58:41.881 +0100 org.bonitasoft.engine.EngineInitializer org.bonitasoft.engine.EngineInitializer initializeEngine

Error while running migration script tool

Hello,
I've ran the migration script to migrate my platform from 6.3.2 to 7 and in the sequence of steps, I get an error:

Failed to execute:
[ Migrating 2/7 ]
| Description : Update Business Data
DROP TABLE ref_biz_data_inst
because: Cannot delete or update a parent row: a foreign key constraint fails

Before running the migration script, I backed up mySQL database. I ran the backup SQL script which ran successfully.

Migrate platform to a newer version of Bonita BPM

I recently migrated my Bonita BPM version to the current version (6.3.2-7.0). When I run the startup bat file and open the site in the web browser, I get a 'webpage not available' message. This makes me believe that the configurations are not correct. Is there a way that I can redo the migration? I want to start from fresh to figure out the issue.

Bonita 6.5.3 migration script exited without any confirmation

I tried to migrate bonitasoft from 6.3.8 to 6.5.3. I am on Windows Server , apache 7.0.62 , PostgresSQL. I got all the step by step yes/no prompts all the way till 6.5.3. But the documentation says after migration I should see :

When the migration script is finished, a message is displayed showing the new platform version, and the time taken for the migration.

Bonita subscription deployment upgrade 6.2.3 to 6.3.3 issues.

I have attempted to migrate our Bonita Subscription version 6.2.3 running on Tomcat 7 and MySQL to version 6.3.3. I followed the directions listed here: http://documentation.bonitasoft.com/migrate-earlier-version-bonita-bpm#m...

I am now seeing this error repeated in the Bonita log. I am assuming that I have a bad jar file somewhere but I've looked over the migration steps and I cannot find anywhere that I went wrong.

I get a 500 error when going to the Bonita Portal.

Notifications